package dao;

import java.util.List;

import model.Product;

public interface ProductDao {
    public void save(Product product) throws Exception;
    public void delete(Product product) throws Exception;
    public Product findById(Long id) throws Exception;
    public List<Product> findAll() throws Exception;
    public List<Product> findByName(String name) throws Exception;
    public List<Product> findByCategoryName(String name) throws Exception;
}
